<?php //Extension iconv
	define( 'ICONV_IMPL','"libiconv"');
	define( 'ICONV_VERSION',1.14);
	define( 'ICONV_MIME_DECODE_STRICT',1);
	define( 'ICONV_MIME_DECODE_CONTINUE_ON_ERROR',2);

/////////////////// ********** FUNCTIONS (10 total functions) ************ ///////////////////////////////

// 1: function iconv(); // prototype:iconv( string $in_charset , string $out_charset , string $str )
// 2: function iconv_get_encoding(); // prototype:iconv_get_encoding([ string $type = &quot;all&quot; ] )
// 3: function iconv_set_encoding(); // prototype:iconv_set_encoding( string $type , string $charset )
// 4: function iconv_strlen(); // prototype:iconv_strlen( string $str [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ] )
// 5: function iconv_substr(); // prototype:iconv_substr( string $str , int $offset [, int $length = iconv_strlen($str, $charset) [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ]] )
// 6: function iconv_strpos(); // prototype:iconv_strpos( string $haystack , string $needle [, int $offset = 0 [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ]] )
// 7: function iconv_strrpos(); // prototype:iconv_strrpos( string $haystack , string $needle [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ] )
// 8: function iconv_mime_encode(); // prototype:iconv_mime_encode( string $field_name , string $field_value [, array $preferences = NULL ] )
// 9: function iconv_mime_decode(); // prototype:iconv_mime_decode( string $encoded_header [, int $mode = 0 [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ]] )
// 10: function iconv_mime_decode_headers(); // prototype:iconv_mime_decode_headers( string $encoded_headers [, int $mode = 0 [, string $charset = ini_get(&quot;iconv.internal_encoding&quot;) ]] )
// 11: function ob_iconv_handler(); // prototype:ob_iconv_handler ( string $contents , int $status )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension tidy
//@php_7_OTHER.xml#tidy
 class tidy   {

// Constants

// Properties
    public $errorBuffer;
// Methods
 //@php_7_OTHER.xml#tidy_getopt
	public function getOpt(){ return 0;}
 //@php_7_OTHER.xml#tidy_clean_repair
	public function cleanRepair(){ return 0;}
 //@php_7_OTHER.xml#tidy_parse_file
	public function parseFile(){ return 0;}
 //@php_7_OTHER.xml#tidy_parse_string
	public function parseString(){ return 0;}
 //@php_7_OTHER.xml#tidy_repair_string
	public function repairString(){ return 0;}
 //@php_7_OTHER.xml#tidy_repair_file
	public function repairFile(){ return 0;}
 //@php_7_OTHER.xml#tidy_diagnose
	public function diagnose(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_release
	public function getRelease(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_config
	public function getConfig(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_status
	public function getStatus(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_html_ver
	public function getHtmlVer(){ return 0;}
 //@php_7_OTHER.xml#tidy_is_xhtml
	public function isXhtml(){ return 0;}
 //@php_7_OTHER.xml#tidy_is_xml
	public function isXml(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_root
	public function root(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_head
	public function head(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_html
	public function html(){ return 0;}
 //@php_7_OTHER.xml#tidy_get_body
	public function body(){ return 0;}
 //@php_7_OTHER.xml#tidy::__construct
	public function __construct(){ return 0;}
  //@php_OTHER.xml#tidy_get_opt_doc
    public function getOptDoc( string $optname ) { }
}

////////////////////////////////////////////////////////////////////////////////////

//@php_7_OTHER.xml#tidyNode
final class tidyNode   {

// Constants

// Properties
public $value;
public $name;
public $type;
public $line;
public $column;
public $proprietary;
public $id;
public $attribute= array();
public $child=array();
// Methods
 //@php_7_OTHER.xml#tidyNode::hasChildren
	public function hasChildren(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::hasSiblings
	public function hasSiblings(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isComment
	public function isComment(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isHtml
	public function isHtml(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isText
	public function isText(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isJste
	public function isJste(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isAsp
	public function isAsp(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::isPhp
	public function isPhp(){ return 0;}
 //@php_7_OTHER.xml#tidyNode::getParent
	public function getParent(){ return 0;}
// function __construct() NOT FOUND

}

////////////////////////////////////////////////////////////////////////////////////

	define( 'TIDY_TAG_UNKNOWN',0);
	define( 'TIDY_TAG_A',1);
	define( 'TIDY_TAG_ABBR',2);
	define( 'TIDY_TAG_ACRONYM',3);
	define( 'TIDY_TAG_ADDRESS',4);
	define( 'TIDY_TAG_ALIGN',5);
	define( 'TIDY_TAG_APPLET',6);
	define( 'TIDY_TAG_AREA',7);
	define( 'TIDY_TAG_B',8);
	define( 'TIDY_TAG_BASE',9);
	define( 'TIDY_TAG_BASEFONT',10);
	define( 'TIDY_TAG_BDO',11);
	define( 'TIDY_TAG_BGSOUND',12);
	define( 'TIDY_TAG_BIG',13);
	define( 'TIDY_TAG_BLINK',14);
	define( 'TIDY_TAG_BLOCKQUOTE',15);
	define( 'TIDY_TAG_BODY',16);
	define( 'TIDY_TAG_BR',17);
	define( 'TIDY_TAG_BUTTON',18);
	define( 'TIDY_TAG_CAPTION',19);
	define( 'TIDY_TAG_CENTER',20);
	define( 'TIDY_TAG_CITE',21);
	define( 'TIDY_TAG_CODE',22);
	define( 'TIDY_TAG_COL',23);
	define( 'TIDY_TAG_COLGROUP',24);
	define( 'TIDY_TAG_COMMENT',25);
	define( 'TIDY_TAG_DD',26);
	define( 'TIDY_TAG_DEL',27);
	define( 'TIDY_TAG_DFN',28);
	define( 'TIDY_TAG_DIR',29);
	define( 'TIDY_TAG_DIV',30);
	define( 'TIDY_TAG_DL',31);
	define( 'TIDY_TAG_DT',32);
	define( 'TIDY_TAG_EM',33);
	define( 'TIDY_TAG_EMBED',34);
	define( 'TIDY_TAG_FIELDSET',35);
	define( 'TIDY_TAG_FONT',36);
	define( 'TIDY_TAG_FORM',37);
	define( 'TIDY_TAG_FRAME',38);
	define( 'TIDY_TAG_FRAMESET',39);
	define( 'TIDY_TAG_H1',40);
	define( 'TIDY_TAG_H2',41);
	define( 'TIDY_TAG_H3',42);
	define( 'TIDY_TAG_H4',43);
	define( 'TIDY_TAG_H5',44);
	define( 'TIDY_TAG_H6',45);
	define( 'TIDY_TAG_HEAD',46);
	define( 'TIDY_TAG_HR',47);
	define( 'TIDY_TAG_HTML',48);
	define( 'TIDY_TAG_I',49);
	define( 'TIDY_TAG_IFRAME',50);
	define( 'TIDY_TAG_ILAYER',51);
	define( 'TIDY_TAG_IMG',52);
	define( 'TIDY_TAG_INPUT',53);
	define( 'TIDY_TAG_INS',54);
	define( 'TIDY_TAG_ISINDEX',55);
	define( 'TIDY_TAG_KBD',56);
	define( 'TIDY_TAG_KEYGEN',57);
	define( 'TIDY_TAG_LABEL',58);
	define( 'TIDY_TAG_LAYER',59);
	define( 'TIDY_TAG_LEGEND',60);
	define( 'TIDY_TAG_LI',61);
	define( 'TIDY_TAG_LINK',62);
	define( 'TIDY_TAG_LISTING',63);
	define( 'TIDY_TAG_MAP',64);
	define( 'TIDY_TAG_MARQUEE',66);
	define( 'TIDY_TAG_MENU',67);
	define( 'TIDY_TAG_META',68);
	define( 'TIDY_TAG_MULTICOL',69);
	define( 'TIDY_TAG_NOBR',70);
	define( 'TIDY_TAG_NOEMBED',71);
	define( 'TIDY_TAG_NOFRAMES',72);
	define( 'TIDY_TAG_NOLAYER',73);
	define( 'TIDY_TAG_NOSAVE',74);
	define( 'TIDY_TAG_NOSCRIPT',75);
	define( 'TIDY_TAG_OBJECT',76);
	define( 'TIDY_TAG_OL',77);
	define( 'TIDY_TAG_OPTGROUP',78);
	define( 'TIDY_TAG_OPTION',79);
	define( 'TIDY_TAG_P',80);
	define( 'TIDY_TAG_PARAM',81);
	define( 'TIDY_TAG_PLAINTEXT',83);
	define( 'TIDY_TAG_PRE',84);
	define( 'TIDY_TAG_Q',85);
	define( 'TIDY_TAG_RB',86);
	define( 'TIDY_TAG_RBC',87);
	define( 'TIDY_TAG_RP',88);
	define( 'TIDY_TAG_RT',89);
	define( 'TIDY_TAG_RTC',90);
	define( 'TIDY_TAG_RUBY',91);
	define( 'TIDY_TAG_S',92);
	define( 'TIDY_TAG_SAMP',93);
	define( 'TIDY_TAG_SCRIPT',94);
	define( 'TIDY_TAG_SELECT',95);
	define( 'TIDY_TAG_SERVER',96);
	define( 'TIDY_TAG_SERVLET',97);
	define( 'TIDY_TAG_SMALL',98);
	define( 'TIDY_TAG_SPACER',99);
	define( 'TIDY_TAG_SPAN',100);
	define( 'TIDY_TAG_STRIKE',101);
	define( 'TIDY_TAG_STRONG',102);
	define( 'TIDY_TAG_STYLE',103);
	define( 'TIDY_TAG_SUB',104);
	define( 'TIDY_TAG_SUP',105);
	define( 'TIDY_TAG_TABLE',107);
	define( 'TIDY_TAG_TBODY',108);
	define( 'TIDY_TAG_TD',109);
	define( 'TIDY_TAG_TEXTAREA',110);
	define( 'TIDY_TAG_TFOOT',111);
	define( 'TIDY_TAG_TH',112);
	define( 'TIDY_TAG_THEAD',113);
	define( 'TIDY_TAG_TITLE',114);
	define( 'TIDY_TAG_TR',115);
	define( 'TIDY_TAG_TT',116);
	define( 'TIDY_TAG_U',117);
	define( 'TIDY_TAG_UL',118);
	define( 'TIDY_TAG_VAR',119);
	define( 'TIDY_TAG_WBR',120);
	define( 'TIDY_TAG_XMP',121);
    define( 'TIDY_ATTR_UNKNOWN',0);
	define( 'TIDY_ATTR_ABBR',1);
	define( 'TIDY_ATTR_ACCEPT',2);
	define( 'TIDY_ATTR_ACCEPT_CHARSET',3);
	define( 'TIDY_ATTR_ACCESSKEY',4);
	define( 'TIDY_ATTR_ACTION',5);
	define( 'TIDY_ATTR_ADD_DATE',6);
	define( 'TIDY_ATTR_ALIGN',7);
	define( 'TIDY_ATTR_ALINK',8);
	define( 'TIDY_ATTR_ALT',9);
	define( 'TIDY_ATTR_ARCHIVE',10);
	define( 'TIDY_ATTR_AXIS',11);
	define( 'TIDY_ATTR_BACKGROUND',12);
	define( 'TIDY_ATTR_BGCOLOR',13);
	define( 'TIDY_ATTR_BGPROPERTIES',14);
	define( 'TIDY_ATTR_BORDER',15);
	define( 'TIDY_ATTR_BORDERCOLOR',16);
	define( 'TIDY_ATTR_BOTTOMMARGIN',17);
	define( 'TIDY_ATTR_CELLPADDING',18);
	define( 'TIDY_ATTR_CELLSPACING',19);
	define( 'TIDY_ATTR_CHAR',20);
	define( 'TIDY_ATTR_CHAROFF',21);
	define( 'TIDY_ATTR_CHARSET',22);
	define( 'TIDY_ATTR_CHECKED',23);
	define( 'TIDY_ATTR_CITE',24);
	define( 'TIDY_ATTR_CLASSID',26);
	define( 'TIDY_ATTR_CLASS',25);
	define( 'TIDY_ATTR_CLEAR',27);
	define( 'TIDY_ATTR_CODE',28);
	define( 'TIDY_ATTR_CODEBASE',29);
	define( 'TIDY_ATTR_CODETYPE',30);
	define( 'TIDY_ATTR_COLOR',31);
	define( 'TIDY_ATTR_COLS',32);
	define( 'TIDY_ATTR_COLSPAN',33);
	define( 'TIDY_ATTR_COMPACT',34);
	define( 'TIDY_ATTR_CONTENT',35);
	define( 'TIDY_ATTR_COORDS',36);
	define( 'TIDY_ATTR_DATA',37);
	define( 'TIDY_ATTR_DATAFLD',38);
	define( 'TIDY_ATTR_DATAPAGESIZE',39);
	define( 'TIDY_ATTR_DATASRC',40);
	define( 'TIDY_ATTR_DATETIME',41);
	define( 'TIDY_ATTR_DECLARE',42);
	define( 'TIDY_ATTR_DEFER',43);
	define( 'TIDY_ATTR_DIR',44);
	define( 'TIDY_ATTR_DISABLED',45);
	define( 'TIDY_ATTR_ENCODING',46);
	define( 'TIDY_ATTR_ENCTYPE',47);
	define( 'TIDY_ATTR_FACE',48);
	define( 'TIDY_ATTR_FOR',49);
	define( 'TIDY_ATTR_FRAME',50);
	define( 'TIDY_ATTR_FRAMEBORDER',51);
	define( 'TIDY_ATTR_FRAMESPACING',52);
	define( 'TIDY_ATTR_GRIDX',53);
	define( 'TIDY_ATTR_GRIDY',54);
	define( 'TIDY_ATTR_HEADERS',55);
	define( 'TIDY_ATTR_HEIGHT',56);
	define( 'TIDY_ATTR_HREF',57);
	define( 'TIDY_ATTR_HREFLANG',58);
	define( 'TIDY_ATTR_HSPACE',59);
	define( 'TIDY_ATTR_HTTP_EQUIV',60);
	define( 'TIDY_ATTR_ID',61);
	define( 'TIDY_ATTR_ISMAP',62);
	define( 'TIDY_ATTR_LABEL',63);
	define( 'TIDY_ATTR_LANG',64);
	define( 'TIDY_ATTR_LANGUAGE',66);
	define( 'TIDY_ATTR_LAST_MODIFIED',67);
	define( 'TIDY_ATTR_LAST_VISIT',68);
	define( 'TIDY_ATTR_LEFTMARGIN',69);
	define( 'TIDY_ATTR_LINK',70);
	define( 'TIDY_ATTR_LONGDESC',71);
	define( 'TIDY_ATTR_LOWSRC',72);
	define( 'TIDY_ATTR_MARGINHEIGHT',73);
	define( 'TIDY_ATTR_MARGINWIDTH',74);
	define( 'TIDY_ATTR_MAXLENGTH',75);
	define( 'TIDY_ATTR_MEDIA',76);
	define( 'TIDY_ATTR_METHOD',77);
	define( 'TIDY_ATTR_MULTIPLE',78);
	define( 'TIDY_ATTR_NAME',79);
	define( 'TIDY_ATTR_NOHREF',80);
	define( 'TIDY_ATTR_NORESIZE',81);
	define( 'TIDY_ATTR_NOSHADE',83);
	define( 'TIDY_ATTR_NOWRAP',84);
	define( 'TIDY_ATTR_OBJECT',85);
	define( 'TIDY_ATTR_OnAFTERUPDATE',86);
	define( 'TIDY_ATTR_OnBEFOREUNLOAD',87);
	define( 'TIDY_ATTR_OnBEFOREUPDATE',88);
	define( 'TIDY_ATTR_OnBLUR',89);
	define( 'TIDY_ATTR_OnCHANGE',90);
	define( 'TIDY_ATTR_OnCLICK',91);
	define( 'TIDY_ATTR_OnDATAAVAILABLE',92);
	define( 'TIDY_ATTR_OnDATASETCHANGED',93);
	define( 'TIDY_ATTR_OnDATASETCOMPLETE',94);
	define( 'TIDY_ATTR_OnDBLCLICK',95);
	define( 'TIDY_ATTR_OnERRORUPDATE',96);
	define( 'TIDY_ATTR_OnFOCUS',97);
	define( 'TIDY_ATTR_OnKEYDOWN',98);
	define( 'TIDY_ATTR_OnKEYPRESS',99);
	define( 'TIDY_ATTR_OnKEYUP',100);
	define( 'TIDY_ATTR_OnLOAD',101);
	define( 'TIDY_ATTR_OnMOUSEDOWN',102);
	define( 'TIDY_ATTR_OnMOUSEMOVE',103);
	define( 'TIDY_ATTR_OnMOUSEOUT',104);
	define( 'TIDY_ATTR_OnMOUSEOVER',105);
	define( 'TIDY_ATTR_OnMOUSEUP',107);
	define( 'TIDY_ATTR_OnRESET',108);
	define( 'TIDY_ATTR_OnROWENTER',109);
	define( 'TIDY_ATTR_OnROWEXIT',110);
	define( 'TIDY_ATTR_OnSELECT',111);
	define( 'TIDY_ATTR_OnSUBMIT',112);
	define( 'TIDY_ATTR_OnUNLOAD',113);
	define( 'TIDY_ATTR_PROFILE',114);
	define( 'TIDY_ATTR_PROMPT',115);
	define( 'TIDY_ATTR_RBSPAN',116);
	define( 'TIDY_ATTR_READONLY',117);
	define( 'TIDY_ATTR_REL',118);
	define( 'TIDY_ATTR_REV',119);
	define( 'TIDY_ATTR_RIGHTMARGIN',120);
	define( 'TIDY_ATTR_ROWS',121);
    define( 'TIDY_ATTR_ROWSPAN',122);
	define( 'TIDY_ATTR_RULES',123);
	define( 'TIDY_ATTR_SCHEME',124);
	define( 'TIDY_ATTR_SCOPE',125);
	define( 'TIDY_ATTR_SCROLLING',126);
	define( 'TIDY_ATTR_SELECTED',127);
	define( 'TIDY_ATTR_SHAPE',128);
	define( 'TIDY_ATTR_SHOWGRID',129);
	define( 'TIDY_ATTR_SHOWGRIDX',130);
	define( 'TIDY_ATTR_SHOWGRIDY',131);
	define( 'TIDY_ATTR_SIZE',132);
	define( 'TIDY_ATTR_SPAN',133);
	define( 'TIDY_ATTR_SRC',134);
	define( 'TIDY_ATTR_STANDBY',135);
	define( 'TIDY_ATTR_START',136);
	define( 'TIDY_ATTR_STYLE',137);
	define( 'TIDY_ATTR_SUMMARY',138);
	define( 'TIDY_ATTR_TABINDEX',139);
	define( 'TIDY_ATTR_TARGET',140);
	define( 'TIDY_ATTR_TEXT',141);
	define( 'TIDY_ATTR_TITLE',142);
	define( 'TIDY_ATTR_TOPMARGIN',143);
	define( 'TIDY_ATTR_TYPE',144);
	define( 'TIDY_ATTR_USEMAP',145);
	define( 'TIDY_ATTR_VALIGN',146);
	define( 'TIDY_ATTR_VALUE',147);
	define( 'TIDY_ATTR_VALUETYPE',148);
	define( 'TIDY_ATTR_VERSION',149);
	define( 'TIDY_ATTR_VLINK',150);
	define( 'TIDY_ATTR_VSPACE',151);
	define( 'TIDY_ATTR_WIDTH',152);
	define( 'TIDY_ATTR_WRAP',153);
	define( 'TIDY_ATTR_XML_LANG',154);
	define( 'TIDY_ATTR_XML_SPACE',155);
	define( 'TIDY_ATTR_XMLNS',156);
	define( 'TIDY_NODETYPE_ROOT',0);
	define( 'TIDY_NODETYPE_DOCTYPE',1);
	define( 'TIDY_NODETYPE_COMMENT',2);
	define( 'TIDY_NODETYPE_PROCINS',3);
	define( 'TIDY_NODETYPE_TEXT',4);
	define( 'TIDY_NODETYPE_START',5);
	define( 'TIDY_NODETYPE_END',6);
	define( 'TIDY_NODETYPE_STARTEND',7);
	define( 'TIDY_NODETYPE_CDATA',8);
	define( 'TIDY_NODETYPE_SECTION',9);
	define( 'TIDY_NODETYPE_ASP',10);
	define( 'TIDY_NODETYPE_JSTE',11);
	define( 'TIDY_NODETYPE_PHP',12);
	define( 'TIDY_NODETYPE_XMLDECL',13);

/////////////////// ********** FUNCTIONS (23 total functions) ************ ///////////////////////////////

// 1: function tidy_getopt(); // prototype:tidy_getopt( tidy $object , string $option )
// 2: function tidy_parse_string(); // prototype:tidy_parse_string( string $input [, mixed $config [, string $encoding ]] )
// 3: function tidy_parse_file(); // prototype:tidy_parse_file( string $filename [, mixed $config [, string $encoding [, bool $use_include_path = false ]]] )
// 4: function tidy_get_output(); // prototype:tidy_get_output( tidy $object )
// 5: function tidy_get_error_buffer(); // prototype:tidy_get_error_buffer( tidy $tidy )
// 6: function tidy_clean_repair(); // prototype:tidy_clean_repair( tidy $object )
// 7: function tidy_repair_string(); // prototype:tidy_repair_string( string $data [, mixed $config [, string $encoding ]] )
// 8: function tidy_repair_file(); // prototype:tidy_repair_file( string $filename [, mixed $config [, string $encoding [, bool $use_include_path = false ]]] )
// 9: function tidy_diagnose(); // prototype:tidy_diagnose( tidy $object )
// 10: function tidy_get_release(); // prototype:tidy_get_release()
// 11: function tidy_get_config(); // prototype:tidy_get_config( tidy $object )
// 12: function tidy_get_status(); // prototype:tidy_get_status( tidy $object )
// 13: function tidy_get_html_ver(); // prototype:tidy_get_html_ver( tidy $object )
// 14: function tidy_is_xhtml(); // prototype:tidy_is_xhtml( tidy $object )
// 15: function tidy_is_xml(); // prototype:tidy_is_xml( tidy $object )
// 16: function tidy_error_count(); // prototype:tidy_error_count( tidy $object )
// 17: function tidy_warning_count(); // prototype:tidy_warning_count( tidy $object )
// 18: function tidy_access_count(); // prototype:tidy_access_count( tidy $object )
// 19: function tidy_config_count(); // prototype:tidy_config_count( tidy $object )
// 20: function tidy_get_root(); // prototype:tidy_get_root( tidy $object )
// 21: function tidy_get_head(); // prototype:tidy_get_head( tidy $object )
// 22: function tidy_get_html(); // prototype:tidy_get_html( tidy $object )
// 23: function tidy_get_body(); // prototype:tidy_get_body( tidy $object )
// 24: function ob_tidyhandler(); // prototype:ob_tidyhandler ( string $input [, int $mode ] )
/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension gettext

/////////////////// ********** FUNCTIONS (10 total functions) ************ ///////////////////////////////

// 1: function textdomain(); // prototype:textdomain( string $text_domain = NULL )
// 2: function gettext(); // prototype:gettext( string $message )
// 3:_: has been marked as 'INTERNAL' - skipping...
// 4: function dgettext(); // prototype:dgettext( string $domain , string $message )
// 5: function dcgettext(); // prototype:dcgettext( string $domain , string $message , int $category )
// 6: function bindtextdomain(); // prototype:bindtextdomain( string $domain , string $directory )
// 7: function ngettext(); // prototype:ngettext( string $msgid1 , string $msgid2 , int $n )
// 8: function dngettext(); // prototype:dngettext( string $domain , string $msgid1 , string $msgid2 , int $n )
// 9: function dcngettext(); // prototype:dcngettext( string $domain , string $msgid1 , string $msgid2 , int $n , int $category )
// 10: function bind_textdomain_codeset(); // prototype:bind_textdomain_codeset( string $domain , string $codeset )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension memcache
// WARNING: class Memcache is an undocummented class; 
 class Memcache   {
        public function connect($host , $port , $timeout){}
        public function pconnect($host , $port , $timeout){}
        public function addserver($host , $port , $persistent , $weight ,$timeout , $retry_interval , $status , $failure_callback , $timeoutms ){}
        public function setserverparams($host , $port , $timeout , $retry_interval , $status , $failure_callback  ){}
        public function getserverstatus($host , $port){}
        public function getversion(){}
        public function add($key , $var , $flag , $expire){}
        public function set($key , $var , $flag , $expire){}
        public function replace($key , $var , $flag , $expire){}
        public function get($key , &$flags){}
        public function delete($key , $timeout){}
        public function getstats($type , $slabid , $limit){ return array();}
        public function getextendedstats($type , $slabid , $limit){ return array();}
        public function setcompressthreshold($threshold, $min_savings){}
        public function increment( $key , $value){}
        public function decrement($key , $value){}
        public function close(){}
        public function flush(){}
}

////////////////////////////////////////////////////////////////////////////////////

	define( 'MEMCACHE_COMPRESSED',2);
	define( 'MEMCACHE_HAVE_SESSION',1);

/////////////////// ********** FUNCTIONS (19 total functions) ************ ///////////////////////////////

// 1: function memcache_connect(); // (x)prototype:NOT FOUND: prototype for memcache_connect!
// 2: function memcache_pconnect(); // (x)prototype:NOT FOUND: prototype for memcache_pconnect!
// 3: function memcache_add_server(); // (x)prototype:NOT FOUND: prototype for memcache_add_server!
// 4: function memcache_set_server_params(); // (x)prototype:NOT FOUND: prototype for memcache_set_server_params!
// 5: function memcache_get_server_status(); // (x)prototype:NOT FOUND: prototype for memcache_get_server_status!
// 6: function memcache_get_version(); // (x)prototype:NOT FOUND: prototype for memcache_get_version!
// 7: function memcache_add(); // (x)prototype:NOT FOUND: prototype for memcache_add!
// 8: function memcache_set(); // (x)prototype:NOT FOUND: prototype for memcache_set!
// 9: function memcache_replace(); // (x)prototype:NOT FOUND: prototype for memcache_replace!
// 10: function memcache_get(); // (x)prototype:NOT FOUND: prototype for memcache_get!
// 11: function memcache_delete(); // (x)prototype:NOT FOUND: prototype for memcache_delete!
// 12: function memcache_debug(); // prototype:memcache_debug ( bool $on_off )
// 13: function memcache_get_stats(); // (x)prototype:NOT FOUND: prototype for memcache_get_stats!
// 14: function memcache_get_extended_stats(); // (x)prototype:NOT FOUND: prototype for memcache_get_extended_stats!
// 15: function memcache_set_compress_threshold(); // (x)prototype:NOT FOUND: prototype for memcache_set_compress_threshold!
// 16: function memcache_increment(); // (x)prototype:NOT FOUND: prototype for memcache_increment!
// 17: function memcache_decrement(); // (x)prototype:NOT FOUND: prototype for memcache_decrement!
// 18: function memcache_close(); // (x)prototype:NOT FOUND: prototype for memcache_close!
// 19: function memcache_flush(); // (x)prototype:NOT FOUND: prototype for memcache_flush!

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension imap
	define( 'NIL',0);
	define( 'IMAP_OPENTIMEOUT',1);
	define( 'IMAP_READTIMEOUT',2);
	define( 'IMAP_WRITETIMEOUT',3);
	define( 'IMAP_CLOSETIMEOUT',4);
	define( 'OP_DEBUG',1);
	define( 'OP_READONLY',2);
	define( 'OP_ANONYMOUS',4);
	define( 'OP_SHORTCACHE',8);
	define( 'OP_SILENT',16);
	define( 'OP_PROTOTYPE',32);
	define( 'OP_HALFOPEN',64);
	define( 'OP_EXPUNGE',128);
	define( 'OP_SECURE',256);
	define( 'CL_EXPUNGE',32768);
	define( 'FT_UID',1);
	define( 'FT_PEEK',2);
	define( 'FT_NOT',4);
	define( 'FT_INTERNAL',8);
	define( 'FT_PREFETCHTEXT',32);
	define( 'ST_UID',1);
	define( 'ST_SILENT',2);
	define( 'ST_SET',4);
	define( 'CP_UID',1);
	define( 'CP_MOVE',2);
	define( 'SE_UID',1);
	define( 'SE_FREE',2);
	define( 'SE_NOPREFETCH',4);
	define( 'SO_FREE',8);
	define( 'SO_NOSERVER',16);
	define( 'SA_MESSAGES',1);
	define( 'SA_RECENT',2);
	define( 'SA_UNSEEN',4);
	define( 'SA_UIDNEXT',8);
	define( 'SA_UIDVALIDITY',16);
	define( 'SA_ALL',31);
	define( 'LATT_NOINFERIORS',1);
	define( 'LATT_NOSELECT',2);
	define( 'LATT_MARKED',4);
	define( 'LATT_UNMARKED',8);
	define( 'LATT_REFERRAL',16);
	define( 'LATT_HASCHILDREN',32);
	define( 'LATT_HASNOCHILDREN',64);
	define( 'SORTDATE',0);
	define( 'SORTARRIVAL',1);
	define( 'SORTFROM',2);
	define( 'SORTSUBJECT',3);
	define( 'SORTTO',4);
	define( 'SORTCC',5);
	define( 'SORTSIZE',6);
	define( 'TYPETEXT',0);
	define( 'TYPEMULTIPART',1);
	define( 'TYPEMESSAGE',2);
	define( 'TYPEAPPLICATION',3);
	define( 'TYPEAUDIO',4);
	define( 'TYPEIMAGE',5);
	define( 'TYPEVIDEO',6);
	define( 'TYPEMODEL',7);
	define( 'TYPEOTHER',8);
	define( 'ENC7BIT',0);
	define( 'ENC8BIT',1);
	define( 'ENCBINARY',2);
	define( 'ENCBASE64',3);
	define( 'ENCQUOTEDPRINTABLE',4);
	define( 'ENCOTHER',5);
	define( 'IMAP_GC_ELT',1);
	define( 'IMAP_GC_ENV',2);
	define( 'IMAP_GC_TEXTS',4);

/////////////////// ********** FUNCTIONS (75 total functions) ************ ///////////////////////////////

// 1: function imap_open(); // prototype:imap_open( string $mailbox , string $username , string $password [, int $options = 0 [, int $n_retries = 0 [, array $params = NULL ]]] )
// 2: function imap_reopen(); // prototype:imap_reopen( resource $imap_stream , string $mailbox [, int $options = 0 [, int $n_retries = 0 ]] )
// 3: function imap_close(); // prototype:imap_close( resource $imap_stream [, int $flag = 0 ] )
// 4: function imap_num_msg(); // prototype:imap_num_msg( resource $imap_stream )
// 5: function imap_num_recent(); // prototype:imap_num_recent( resource $imap_stream )
// 6: function imap_headers(); // prototype:imap_headers( resource $imap_stream )
// 7: function imap_headerinfo(); // prototype:imap_headerinfo( resource $imap_stream , int $msg_number [, int $fromlength = 0 [, int $subjectlength = 0 [, string $defaulthost = NULL ]]] )
// 8: function imap_rfc822_parse_headers(); // prototype:imap_rfc822_parse_headers( string $headers [, string $defaulthost = &quot;UNKNOWN&quot; ] )
// 9: function imap_rfc822_write_address(); // prototype:imap_rfc822_write_address( string $mailbox , string $host , string $personal )
// 10: function imap_rfc822_parse_adrlist(); // prototype:imap_rfc822_parse_adrlist( string $address , string $default_host )
// 11: function imap_body(); // prototype:imap_body( resource $imap_stream , int $msg_number [, int $options = 0 ] )
// 12: function imap_bodystruct(); // prototype:imap_bodystruct( resource $imap_stream , int $msg_number , string $section )
// 13: function imap_fetchbody(); // prototype:imap_fetchbody( resource $imap_stream , int $msg_number , string $section [, int $options = 0 ] )
// 14: function imap_fetchmime(); // prototype:imap_fetchmime( resource $imap_stream , int $msg_number , string $section [, int $options = 0 ] )
// 15: function imap_savebody(); // prototype:imap_savebody( resource $imap_stream , mixed $file , int $msg_number [, string $part_number = &quot;&quot; [, int $options = 0 ]] )
// 16: function imap_fetchheader(); // prototype:imap_fetchheader( resource $imap_stream , int $msg_number [, int $options = 0 ] )
// 17: function imap_fetchstructure(); // prototype:imap_fetchstructure( resource $imap_stream , int $msg_number [, int $options = 0 ] )
// 18: function imap_gc(); // prototype:imap_gc( resource $imap_stream , int $caches )
// 19: function imap_expunge(); // prototype:imap_expunge( resource $imap_stream )
// 20: function imap_delete(); // prototype:imap_delete( resource $imap_stream , int $msg_number [, int $options = 0 ] )
// 21: function imap_undelete(); // prototype:imap_undelete( resource $imap_stream , int $msg_number [, int $flags = 0 ] )
// 22: function imap_check(); // prototype:imap_check( resource $imap_stream )
// 23: function imap_listscan(); // prototype:imap_listscan( resource $imap_stream , string $ref , string $pattern , string $content )
// 24: function imap_mail_copy(); // prototype:imap_mail_copy( resource $imap_stream , string $msglist , string $mailbox [, int $options = 0 ] )
// 25: function imap_mail_move(); // prototype:imap_mail_move( resource $imap_stream , string $msglist , string $mailbox [, int $options = 0 ] )
// 26: function imap_mail_compose(); // prototype:imap_mail_compose( array $envelope , array $body )
// 27: function imap_createmailbox(); // prototype:imap_createmailbox( resource $imap_stream , string $mailbox )
// 28: function imap_renamemailbox(); // prototype:imap_renamemailbox( resource $imap_stream , string $old_mbox , string $new_mbox )
// 29: function imap_deletemailbox(); // prototype:imap_deletemailbox( resource $imap_stream , string $mailbox )
// 30: function imap_subscribe(); // prototype:imap_subscribe( resource $imap_stream , string $mailbox )
// 31: function imap_unsubscribe(); // prototype:imap_unsubscribe( resource $imap_stream , string $mailbox )
// 32: function imap_append(); // prototype:imap_append( resource $imap_stream , string $mailbox , string $message [, string $options = NULL [, string $internal_date = NULL ]] )
// 33: function imap_ping(); // prototype:imap_ping( resource $imap_stream )
// 34: function imap_base64(); // prototype:imap_base64( string $text )
// 35: function imap_qprint(); // prototype:imap_qprint( string $string )
// 36: function imap_8bit(); // prototype:imap_8bit( string $string )
// 37: function imap_binary(); // prototype:imap_binary( string $string )
// 38: function imap_utf8(); // prototype:imap_utf8( string $mime_encoded_text )
// 39: function imap_status(); // prototype:imap_status( resource $imap_stream , string $mailbox , int $options )
// 40: function imap_mailboxmsginfo(); // prototype:imap_mailboxmsginfo( resource $imap_stream )
// 41: function imap_setflag_full(); // prototype:imap_setflag_full( resource $imap_stream , string $sequence , string $flag [, int $options = NIL ] )
// 42: function imap_clearflag_full(); // prototype:imap_clearflag_full( resource $imap_stream , string $sequence , string $flag [, int $options = 0 ] )
// 43: function imap_sort(); // prototype:imap_sort( resource $imap_stream , int $criteria , int $reverse [, int $options = 0 [, string $search_criteria = NULL [, string $charset = NULL ]]] )
// 44: function imap_uid(); // prototype:imap_uid( resource $imap_stream , int $msg_number )
// 45: function imap_msgno(); // prototype:imap_msgno( resource $imap_stream , int $uid )
// 46: function imap_list(); // prototype:imap_list( resource $imap_stream , string $ref , string $pattern )
// 47: function imap_lsub(); // prototype:imap_lsub( resource $imap_stream , string $ref , string $pattern )
// 48: function imap_fetch_overview(); // prototype:imap_fetch_overview( resource $imap_stream , string $sequence [, int $options = 0 ] )
// 49: function imap_alerts(); // prototype:imap_alerts()
// 50: function imap_errors(); // prototype:imap_errors()
// 51: function imap_last_error(); // prototype:imap_last_error()
// 52: function imap_search(); // prototype:imap_search( resource $imap_stream , string $criteria [, int $options = SE_FREE [, string $charset = NULL ]] )
// 53: function imap_utf7_decode(); // prototype:imap_utf7_decode( string $text )
// 54: function imap_utf7_encode(); // prototype:imap_utf7_encode( string $data )
// imap_utf8_to_mutf7: **ERROR** name not found in path C:/Work/Test/in3.php.net/manual/en/*imap*.php
// 55: function imap_utf8_to_mutf7(); // ERROR: can't find title or refname!
// imap_mutf7_to_utf8: **ERROR** name not found in path C:/Work/Test/in3.php.net/manual/en/*imap*.php
// 56: function imap_mutf7_to_utf8(); // ERROR: can't find title or refname!
// 57: function imap_mime_header_decode(); // prototype:imap_mime_header_decode( string $text )
// 58: function imap_thread(); // prototype:imap_thread( resource $imap_stream [, int $options = SE_FREE ] )
// 59: function imap_timeout(); // prototype:imap_timeout( int $timeout_type [, int $timeout = -1 ] )
// 60: function imap_get_quota(); // prototype:imap_get_quota( resource $imap_stream , string $quota_root )
// 61: function imap_get_quotaroot(); // prototype:imap_get_quotaroot( resource $imap_stream , string $quota_root )
// 62: function imap_set_quota(); // prototype:imap_set_quota( resource $imap_stream , string $quota_root , int $quota_limit )
// 63: function imap_setacl(); // prototype:imap_setacl( resource $imap_stream , string $mailbox , string $id , string $rights )
// 64: function imap_getacl(); // prototype:imap_getacl( resource $imap_stream , string $mailbox )
// 65: function imap_mail(); // prototype:imap_mail( string $to , string $subject , string $message [, string $additional_headers = NULL [, string $cc = NULL [, string $bcc = NULL [, string $rpath = NULL ]]]] )
// 66: function imap_header(); // ALIAS of imap_headerinfo():imap_header(...)
// 67: function imap_listmailbox(); // ALIAS of imap_list():imap_listmailbox(...)
// 68: function imap_getmailboxes(); // prototype:imap_getmailboxes( resource $imap_stream , string $ref , string $pattern )
// 69: function imap_scanmailbox(); // ALIAS of imap_listscan():imap_scanmailbox(...)
// 70: function imap_listsubscribed(); // ALIAS of imap_lsub():imap_listsubscribed(...)
// 71: function imap_getsubscribed(); // prototype:imap_getsubscribed( resource $imap_stream , string $ref , string $pattern )
// 72: function imap_fetchtext(): // prototype:imap_fetchtext( )
// 73: function imap_scan(): // prototype:imap_scan( )
// 74: function imap_create(): // prototype:imap_create( )
// 75: function imap_rename(): // prototype:imap_rename( )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension sockets
	define( 'AF_UNIX',1);
	define( 'AF_INET',2);
	define( 'AF_INET6',23);
	define( 'SOCK_STREAM',1);
	define( 'SOCK_DGRAM',2);
	define( 'SOCK_RAW',3);
	define( 'SOCK_SEQPACKET',5);
	define( 'SOCK_RDM',4);
	define( 'MSG_OOB',1);
	define( 'MSG_WAITALL',8);
	define( 'MSG_CTRUNC',512);
	define( 'MSG_TRUNC',256);
	define( 'MSG_PEEK',2);
	define( 'MSG_DONTROUTE',4);
    define( 'MSG_EOR', 5);
    define( 'MSG_EOF', 6);
	define( 'SO_DEBUG',1);
	define( 'SO_REUSEADDR',4);
	define( 'SO_KEEPALIVE',8);
	define( 'SO_DONTROUTE',16);
	define( 'SO_LINGER',128);
	define( 'SO_BROADCAST',32);
	define( 'SO_OOBINLINE',256);
	define( 'SO_SNDBUF',4097);
	define( 'SO_RCVBUF',4098);
	define( 'SO_SNDLOWAT',4099);
	define( 'SO_RCVLOWAT',4100);
	define( 'SO_SNDTIMEO',4101);
	define( 'SO_RCVTIMEO',4102);
	define( 'SO_TYPE',4104);
	define( 'SO_ERROR',4103);
    define( 'SO_REUSEPORT', 4104);
	define( 'SOL_SOCKET',65535);
	define( 'SOMAXCONN',2147483647);
	define( 'TCP_NODELAY',1);
	define( 'PHP_NORMAL_READ',1);
	define( 'PHP_BINARY_READ',2);
	define( 'MCAST_JOIN_GROUP',41);
	define( 'MCAST_LEAVE_GROUP',42);
	define( 'MCAST_BLOCK_SOURCE',43);
	define( 'MCAST_UNBLOCK_SOURCE',44);
	define( 'MCAST_JOIN_SOURCE_GROUP',45);
	define( 'MCAST_LEAVE_SOURCE_GROUP',46);
	define( 'IP_MULTICAST_IF',9);
	define( 'IP_MULTICAST_TTL',10);
	define( 'IP_MULTICAST_LOOP',11);
	define( 'IPV6_MULTICAST_IF',9);
	define( 'IPV6_MULTICAST_HOPS',10);
	define( 'IPV6_MULTICAST_LOOP',11);
	define( 'IPV6_V6ONLY',27);
	define( 'SOCKET_EINTR',10004);
	define( 'SOCKET_EBADF',10009);
	define( 'SOCKET_EACCES',10013);
	define( 'SOCKET_EFAULT',10014);
	define( 'SOCKET_EINVAL',10022);
	define( 'SOCKET_EMFILE',10024);
	define( 'SOCKET_EWOULDBLOCK',10035);
	define( 'SOCKET_EINPROGRESS',10036);
	define( 'SOCKET_EALREADY',10037);
	define( 'SOCKET_ENOTSOCK',10038);
	define( 'SOCKET_EDESTADDRREQ',10039);
	define( 'SOCKET_EMSGSIZE',10040);
	define( 'SOCKET_EPROTOTYPE',10041);
	define( 'SOCKET_ENOPROTOOPT',10042);
	define( 'SOCKET_EPROTONOSUPPORT',10043);
	define( 'SOCKET_ESOCKTNOSUPPORT',10044);
	define( 'SOCKET_EOPNOTSUPP',10045);
	define( 'SOCKET_EPFNOSUPPORT',10046);
	define( 'SOCKET_EAFNOSUPPORT',10047);
	define( 'SOCKET_EADDRINUSE',10048);
	define( 'SOCKET_EADDRNOTAVAIL',10049);
	define( 'SOCKET_ENETDOWN',10050);
	define( 'SOCKET_ENETUNREACH',10051);
	define( 'SOCKET_ENETRESET',10052);
	define( 'SOCKET_ECONNABORTED',10053);
	define( 'SOCKET_ECONNRESET',10054);
	define( 'SOCKET_ENOBUFS',10055);
	define( 'SOCKET_EISCONN',10056);
	define( 'SOCKET_ENOTCONN',10057);
	define( 'SOCKET_ESHUTDOWN',10058);
	define( 'SOCKET_ETOOMANYREFS',10059);
	define( 'SOCKET_ETIMEDOUT',10060);
	define( 'SOCKET_ECONNREFUSED',10061);
	define( 'SOCKET_ELOOP',10062);
	define( 'SOCKET_ENAMETOOLONG',10063);
	define( 'SOCKET_EHOSTDOWN',10064);
	define( 'SOCKET_EHOSTUNREACH',10065);
	define( 'SOCKET_ENOTEMPTY',10066);
	define( 'SOCKET_EPROCLIM',10067);
	define( 'SOCKET_EUSERS',10068);
	define( 'SOCKET_EDQUOT',10069);
	define( 'SOCKET_ESTALE',10070);
	define( 'SOCKET_EREMOTE',10071);
	define( 'SOCKET_EDISCON',10101);
	define( 'SOCKET_SYSNOTREADY',10091);
	define( 'SOCKET_VERNOTSUPPORTED',10092);
	define( 'SOCKET_NOTINITIALISED',10093);
	define( 'SOCKET_HOST_NOT_FOUND',11001);
	define( 'SOCKET_TRY_AGAIN',11002);
	define( 'SOCKET_NO_RECOVERY',11003);
	define( 'SOCKET_NO_DATA',11004);
	define( 'SOCKET_NO_ADDRESS',11004);
    define( 'SOCKET_EDUOT', 11006);
    define( 'SOCKET_EPERM',11007);
	define( 'SOCKET_ENOENT',11008);
	define( 'SOCKET_EIO',11009);
	define( 'SOCKET_ENXIO',11010);
	define( 'SOCKET_E2BIG',11011);
	define( 'SOCKET_EAGAIN',11012);
	define( 'SOCKET_ENOMEM',11013);
	define( 'SOCKET_ENOTBLK',11014);
	define( 'SOCKET_EBUSY',11015);
	define( 'SOCKET_EEXIST',11016);
	define( 'SOCKET_EXDEV',11017);
	define( 'SOCKET_ENODEV',11018);
	define( 'SOCKET_ENOTDIR',11019);
	define( 'SOCKET_EISDIR',11020);
	define( 'SOCKET_ENFILE',11021);
	define( 'SOCKET_ENOTTY',11022);
	define( 'SOCKET_ENOSPC',11023);
	define( 'SOCKET_ESPIPE',11024);
	define( 'SOCKET_EROFS',11025);
	define( 'SOCKET_EMLINK',11026);
	define( 'SOCKET_EPIPE',11027);
	define( 'SOCKET_ENOLCK',11028);
	define( 'SOCKET_ENOSYS',11029);
	define( 'SOCKET_ENOMSG',11030);
	define( 'SOCKET_EIDRM',11031);
	define( 'SOCKET_ECHRNG',11032);
	define( 'SOCKET_EL2NSYNC',11033);
	define( 'SOCKET_EL3HLT',11034);
	define( 'SOCKET_EL3RST',11035);
	define( 'SOCKET_ELNRNG',11036);
	define( 'SOCKET_EUNATCH',11037);
	define( 'SOCKET_ENOCSI',11038);
	define( 'SOCKET_EL2HLT',11039);
	define( 'SOCKET_EBADE',11040);
	define( 'SOCKET_EBADR',11041);
	define( 'SOCKET_EXFULL',11042);
	define( 'SOCKET_ENOANO',11043);
	define( 'SOCKET_EBADRQC',11044);
	define( 'SOCKET_EBADSLT',11045);
	define( 'SOCKET_ENOSTR',11046);
	define( 'SOCKET_ENODATA',11047);
	define( 'SOCKET_ETIME',11048);
	define( 'SOCKET_ENOSR',11049);
	define( 'SOCKET_ENONET',11050);
	define( 'SOCKET_ENOLINK',11051);
	define( 'SOCKET_EADV',11052);
	define( 'SOCKET_ESRMNT',11053);
	define( 'SOCKET_ECOMM',11054);
	define( 'SOCKET_EPROTO',11055);
	define( 'SOCKET_EMULTIHOP',11056);
	define( 'SOCKET_EBADMSG',11057);
	define( 'SOCKET_ENOTUNIQ',11058);
    define( 'SOCKET_EBADFD', 11059);
	define( 'SOCKET_EREMCHG',11060);
	define( 'SOCKET_ERESTART',11061);
	define( 'SOCKET_ESTRPIPE',11062);
	define( 'SOCKET_EPROTOOPT',11063);
	define( 'SOCKET_ADDRINUSE',11064);
	define( 'SOCKET_ETOOMANYREFS'11065);
	define( 'SOCKET_EISNAM',11066);
	define( 'SOCKET_EREMOTEIO',11067);
	define( 'SOCKET_EDQUOT',11068);
	define( 'SOCKET_ENOMEDIUM',11069);
    define( 'SOCKET_EMEDIUMTYPE',11070);
    define( 'SOCKET_ETOOMYREFS',11071);
	define( 'IPPROTO_IP',0);
	define( 'IPPROTO_IPV6',41);
	define( 'SOL_TCP',6);
	define( 'SOL_UDP',17);
	define( 'IPV6_UNICAST_HOPS',4);
	define( 'IPV6_RECVPKTINFO',19);
	define( 'IPV6_PKTINFO',19);
	define( 'IPV6_RECVHOPLIMIT',21);
	define( 'IPV6_HOPLIMIT',21);
	define( 'IPV6_RECVTCLASS',40);
	define( 'IPV6_TCLASS',39);

/////////////////// ********** FUNCTIONS (32 total functions) ************ ///////////////////////////////

// 1: function socket_select(); // prototype:socket_select( array &amp;$read , array &amp;$write , array &amp;$except , int $tv_sec [, int $tv_usec = 0 ] )
// 2: function socket_create(); // prototype:socket_create( int $domain , int $type , int $protocol )
// 3: function socket_create_listen(); // prototype:socket_create_listen( int $port [, int $backlog = 128 ] )
// 4: function socket_create_pair(); // prototype:socket_create_pair( int $domain , int $type , int $protocol , array &amp;$fd )
// 5: function socket_accept(); // prototype:socket_accept( resource $socket )
// 6: function socket_set_nonblock(); // prototype:socket_set_nonblock( resource $socket )
// 7: function socket_set_block(); // prototype:socket_set_block( resource $socket )
// 8: function socket_listen(); // prototype:socket_listen( resource $socket [, int $backlog = 0 ] )
// 9: function socket_close(); // prototype:socket_close( resource $socket )
// 10: function socket_write(); // prototype:socket_write( resource $socket , string $buffer [, int $length ] )
// 11: function socket_read(); // prototype:socket_read( resource $socket , int $length [, int $type = PHP_BINARY_READ ] )
// 12: function socket_getsockname(); // prototype:socket_getsockname( resource $socket , string &amp;$addr [, int &amp;$port ] )
// 13: function socket_getpeername(); // prototype:socket_getpeername( resource $socket , string &amp;$address [, int &amp;$port ] )
// 14: function socket_connect(); // prototype:socket_connect( resource $socket , string $address [, int $port = 0 ] )
// 15: function socket_strerror(); // prototype:socket_strerror( int $errno )
// 16: function socket_bind(); // prototype:socket_bind( resource $socket , string $address [, int $port = 0 ] )
// 17: function socket_recv(); // prototype:socket_recv( resource $socket , string &amp;$buf , int $len , int $flags )
// 18: function socket_send(); // prototype:socket_send( resource $socket , string $buf , int $len , int $flags )
// 19: function socket_recvfrom(); // prototype:socket_recvfrom( resource $socket , string &amp;$buf , int $len , int $flags , string &amp;$name [, int &amp;$port ] )
// 20: function socket_sendto(); // prototype:socket_sendto( resource $socket , string $buf , int $len , int $flags , string $addr [, int $port = 0 ] )
// 21: function socket_get_option(); // prototype:socket_get_option( resource $socket , int $level , int $optname )
// 22: function socket_set_option(); // prototype:socket_set_option( resource $socket , int $level , int $optname , mixed $optval )
// 23: function socket_shutdown(); // prototype:socket_shutdown( resource $socket [, int $how = 2 ] )
// 24: function socket_last_error(); // prototype:socket_last_error([ resource $socket ] )
// 25: function socket_clear_error(); // prototype:socket_clear_error([ resource $socket ] )
// 26: function socket_import_stream(); // prototype:socket_import_stream( resource $stream )
// socket_export_stream: **ERROR** name not found in path C:/Work/Test/in3.php.net/manual/en/*sockets*.php
// 27: function socket_export_stream(); // ERROR: can't find title or refname!
// 28: function socket_sendmsg(); // prototype:socket_sendmsg( resource $socket , array $message , int $flags )
// 29: function socket_recvmsg(); // prototype:socket_recvmsg( resource $socket , string $message [, int $flags ] )
// 30: function socket_cmsg_space(); // prototype:socket_cmsg_space( int $level , int $type )
// 31:socket_getopt: has been marked as 'INTERNAL' - skipping...
// 32:socket_setopt: has been marked as 'INTERNAL' - skipping...

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension ftp
	define( 'FTP_ASCII',1);
	define( 'FTP_TEXT',1);
	define( 'FTP_BINARY',2);
	define( 'FTP_IMAGE',2);
	define( 'FTP_AUTORESUME',-1);
	define( 'FTP_TIMEOUT_SEC',0);
	define( 'FTP_AUTOSEEK',1);
	define( 'FTP_USEPASVADDRESS',2);
	define( 'FTP_FAILED',0);
	define( 'FTP_FINISHED',1);
	define( 'FTP_MOREDATA',2);

/////////////////// ********** FUNCTIONS (34 total functions) ************ ///////////////////////////////

// 1: function ftp_connect(); // prototype:ftp_connect( string $host [, int $port = 21 [, int $timeout = 90 ]] )
// 2: function ftp_ssl_connect(); // prototype:ftp_ssl_connect( string $host [, int $port = 21 [, int $timeout = 90 ]] )
// 3: function ftp_login(); // prototype:ftp_login( resource $ftp_stream , string $username , string $password )
// 4: function ftp_pwd(); // prototype:ftp_pwd( resource $ftp_stream )
// 5: function ftp_cdup(); // prototype:ftp_cdup( resource $ftp_stream )
// 6: function ftp_chdir(); // prototype:ftp_chdir( resource $ftp_stream , string $directory )
// 7: function ftp_exec(); // prototype:ftp_exec( resource $ftp_stream , string $command )
// 8: function ftp_raw(); // prototype:ftp_raw( resource $ftp_stream , string $command )
// 9: function ftp_mkdir(); // prototype:ftp_mkdir( resource $ftp_stream , string $directory )
// 10: function ftp_rmdir(); // prototype:ftp_rmdir( resource $ftp_stream , string $directory )
// 11: function ftp_chmod(); // prototype:ftp_chmod( resource $ftp_stream , int $mode , string $filename )
// 12: function ftp_alloc(); // prototype:ftp_alloc( resource $ftp_stream , int $filesize [, string &amp;$result ] )
// 13: function ftp_nlist(); // prototype:ftp_nlist( resource $ftp_stream , string $directory )
// 14: function ftp_rawlist(); // prototype:ftp_rawlist( resource $ftp_stream , string $directory [, bool $recursive = false ] )
// 15: function ftp_systype(); // prototype:ftp_systype( resource $ftp_stream )
// 16: function ftp_pasv(); // prototype:ftp_pasv( resource $ftp_stream , bool $pasv )
// 17: function ftp_get(); // prototype:ftp_get( resource $ftp_stream , string $local_file , string $remote_file , int $mode [, int $resumepos = 0 ] )
// 18: function ftp_fget(); // prototype:ftp_fget( resource $ftp_stream , resource $handle , string $remote_file , int $mode [, int $resumepos = 0 ] )
// 19: function ftp_put(); // prototype:ftp_put( resource $ftp_stream , string $remote_file , string $local_file , int $mode [, int $startpos = 0 ] )
// 20: function ftp_fput(); // prototype:ftp_fput( resource $ftp_stream , string $remote_file , resource $handle , int $mode [, int $startpos = 0 ] )
// 21: function ftp_size(); // prototype:ftp_size( resource $ftp_stream , string $remote_file )
// 22: function ftp_mdtm(); // prototype:ftp_mdtm( resource $ftp_stream , string $remote_file )
// 23: function ftp_rename(); // prototype:ftp_rename( resource $ftp_stream , string $oldname , string $newname )
// 24: function ftp_delete(); // prototype:ftp_delete( resource $ftp_stream , string $path )
// 25: function ftp_site(); // prototype:ftp_site( resource $ftp_stream , string $command )
// 26: function ftp_close(); // prototype:ftp_close( resource $ftp_stream )
// 27: function ftp_set_option(); // prototype:ftp_set_option( resource $ftp_stream , int $option , mixed $value )
// 28: function ftp_get_option(); // prototype:ftp_get_option( resource $ftp_stream , int $option )
// 29: function ftp_nb_fget(); // prototype:ftp_nb_fget( resource $ftp_stream , resource $handle , string $remote_file , int $mode [, int $resumepos = 0 ] )
// 30: function ftp_nb_get(); // prototype:ftp_nb_get( resource $ftp_stream , string $local_file , string $remote_file , int $mode [, int $resumepos = 0 ] )
// 31: function ftp_nb_continue(); // prototype:ftp_nb_continue( resource $ftp_stream )
// 32: function ftp_nb_put(); // prototype:ftp_nb_put( resource $ftp_stream , string $remote_file , string $local_file , int $mode [, int $startpos = 0 ] )
// 33: function ftp_nb_fput(); // prototype:ftp_nb_fput( resource $ftp_stream , string $remote_file , resource $handle , int $mode [, int $startpos = 0 ] )
// 34: function ftp_quit(); // ALIAS of ftp_close():ftp_quit(...)

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension exif
	define( 'EXIF_USE_MBSTRING',1);

/////////////////// ********** FUNCTIONS (5 total functions) ************ ///////////////////////////////

// 1: function exif_read_data(); // prototype:exif_read_data( string $filename [, string $sections = NULL [, bool $arrays = false [, bool $thumbnail = false ]]] )
// 2: function read_exif_data(); // ALIAS of exif_read_data():read_exif_data(...)
// 3: function exif_tagname(); // prototype:exif_tagname( int $index )
// 4: function exif_thumbnail(); // prototype:exif_thumbnail( string $filename [, int &amp;$width [, int &amp;$height [, int &amp;$imagetype ]]] )
// 5: function exif_imagetype(); // prototype:exif_imagetype( string $filename )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension gmp
//@php_7_OTHER.xml#GMP
 class GMP   {

// Constants

// Properties

// Methods

}

////////////////////////////////////////////////////////////////////////////////////

	define( 'GMP_ROUND_ZERO',0);
	define( 'GMP_ROUND_PLUSINF',1);
	define( 'GMP_ROUND_MINUSINF',2);
	define( 'GMP_MPIR_VERSION','2.7.2');
	define( 'GMP_VERSION','5.1.3');
	define( 'GMP_MSW_FIRST',1);
	define( 'GMP_LSW_FIRST',2);
	define( 'GMP_LITTLE_ENDIAN',4);
	define( 'GMP_BIG_ENDIAN',8);
	define( 'GMP_NATIVE_ENDIAN',16);

/////////////////// ********** FUNCTIONS (48 total functions) ************ ///////////////////////////////

// 1: function gmp_init(); // prototype:gmp_init( mixed $number [, int $base = 0 ] )
// 2: function gmp_import(); // prototype:gmp_import( string $data , integer $word_size , integer $options )
// 3: function gmp_export(); // prototype:gmp_export( GMP $gmpnumber , integer $word_size , integer $options )
// 4: function gmp_intval(); // prototype:gmp_intval( GMP $gmpnumber )
// 5: function gmp_strval(); // prototype:gmp_strval( GMP $gmpnumber [, int $base = 10 ] )
// 6: function gmp_add(); // prototype:gmp_add( GMP $a , GMP $b )
// 7: function gmp_sub(); // prototype:gmp_sub( GMP $a , GMP $b )
// 8: function gmp_mul(); // prototype:gmp_mul( GMP $a , GMP $b )
// 9: function gmp_div_qr(); // prototype:gmp_div_qr( GMP $n , GMP $d [, int $round = GMP_ROUND_ZERO ] )
// 10: function gmp_div_q(); // prototype:gmp_div_q( GMP $a , GMP $b [, int $round = GMP_ROUND_ZERO ] )
// 11: function gmp_div_r(); // prototype:gmp_div_r( GMP $n , GMP $d [, int $round = GMP_ROUND_ZERO ] )
// 12: function gmp_div(); // ALIAS of gmp_div_q():gmp_div(...)
// 13: function gmp_mod(); // prototype:gmp_mod( GMP $n , GMP $d )
// 14: function gmp_divexact(); // prototype:gmp_divexact( GMP $n , GMP $d )
// 15: function gmp_neg(); // prototype:gmp_neg( GMP $a )
// 16: function gmp_abs(); // prototype:gmp_abs( GMP $a )
// 17: function gmp_fact(); // prototype:gmp_fact( mixed $a )
// 18: function gmp_sqrt(); // prototype:gmp_sqrt( GMP $a )
// 19: function gmp_sqrtrem(); // prototype:gmp_sqrtrem( GMP $a )
// 20: function gmp_root(); // prototype:gmp_root( GMP $a , int $nth )
// 21: function gmp_rootrem(); // prototype:gmp_rootrem( GMP $a , int $nth )
// 22: function gmp_pow(); // prototype:gmp_pow( GMP $base , int $exp )
// 23: function gmp_powm(); // prototype:gmp_powm( GMP $base , GMP $exp , GMP $mod )
// 24: function gmp_perfect_square(); // prototype:gmp_perfect_square( GMP $a )
// 25: function gmp_prob_prime(); // prototype:gmp_prob_prime( GMP $a [, int $reps = 10 ] )
// 26: function gmp_gcd(); // prototype:gmp_gcd( GMP $a , GMP $b )
// 27: function gmp_gcdext(); // prototype:gmp_gcdext( GMP $a , GMP $b )
// 28: function gmp_invert(); // prototype:gmp_invert( GMP $a , GMP $b )
// 29: function gmp_jacobi(); // prototype:gmp_jacobi( GMP $a , GMP $p )
// 30: function gmp_legendre(); // prototype:gmp_legendre( GMP $a , GMP $p )
// 31: function gmp_cmp(); // prototype:gmp_cmp( GMP $a , GMP $b )
// 32: function gmp_sign(); // prototype:gmp_sign( GMP $a )
// 33: function gmp_random(); // prototype:gmp_random([ int $limiter = 20 ] )
// 34: function gmp_random_seed(); // prototype:gmp_random_seed( mixed $seed )
// 35: function gmp_random_bits(); // prototype:gmp_random_bits( integer $bits )
// 36: function gmp_random_range(); // prototype:gmp_random_range( GMP $min , GMP $max )
// 37: function gmp_and(); // prototype:gmp_and( GMP $a , GMP $b )
// 38: function gmp_or(); // prototype:gmp_or( GMP $a , GMP $b )
// 39: function gmp_com(); // prototype:gmp_com( GMP $a )
// 40: function gmp_xor(); // prototype:gmp_xor( GMP $a , GMP $b )
// 41: function gmp_setbit(); // prototype:gmp_setbit( GMP &amp;$a , int $index [, bool $bit_on = true ] )
// 42: function gmp_clrbit(); // prototype:gmp_clrbit( GMP $a , int $index )
// 43: function gmp_testbit(); // prototype:gmp_testbit( GMP $a , int $index )
// 44: function gmp_scan0(); // prototype:gmp_scan0( GMP $a , int $start )
// 45: function gmp_scan1(); // prototype:gmp_scan1( GMP $a , int $start )
// 46: function gmp_popcount(); // prototype:gmp_popcount( GMP $a )
// 47: function gmp_hamdist(); // prototype:gmp_hamdist( GMP $a , GMP $b )
// 48: function gmp_nextprime(); // prototype:gmp_nextprime( int $a )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension calendar
	define( 'CAL_GREGORIAN',0);
	define( 'CAL_JULIAN',1);
	define( 'CAL_JEWISH',2);
	define( 'CAL_FRENCH',3);
	define( 'CAL_NUM_CALS',4);
	define( 'CAL_DOW_DAYNO',0);
	define( 'CAL_DOW_SHORT',2);
	define( 'CAL_DOW_LONG',1);
	define( 'CAL_MONTH_GREGORIAN_SHORT',0);
	define( 'CAL_MONTH_GREGORIAN_LONG',1);
	define( 'CAL_MONTH_JULIAN_SHORT',2);
	define( 'CAL_MONTH_JULIAN_LONG',3);
	define( 'CAL_MONTH_JEWISH',4);
	define( 'CAL_MONTH_FRENCH',5);
	define( 'CAL_EASTER_DEFAULT',0);
	define( 'CAL_EASTER_ROMAN',1);
	define( 'CAL_EASTER_ALWAYS_GREGORIAN',2);
	define( 'CAL_EASTER_ALWAYS_JULIAN',3);
	define( 'CAL_JEWISH_ADD_ALAFIM_GERESH',2);
	define( 'CAL_JEWISH_ADD_ALAFIM',4);
	define( 'CAL_JEWISH_ADD_GERESHAYIM',8);

/////////////////// ********** FUNCTIONS (18 total functions) ************ ///////////////////////////////

// 1: function jdtogregorian(); // prototype:jdtogregorian( int $julianday )
// 2: function gregoriantojd(); // prototype:gregoriantojd( int $month , int $day , int $year )
// 3: function jdtojulian(); // prototype:jdtojulian( int $julianday )
// 4: function juliantojd(); // prototype:juliantojd( int $month , int $day , int $year )
// 5: function jdtojewish(); // prototype:jdtojewish( int $juliandaycount [, bool $hebrew = false [, int $fl = 0 ]] )
// 6: function jewishtojd(); // prototype:jewishtojd( int $month , int $day , int $year )
// 7: function jdtofrench(); // prototype:jdtofrench( int $juliandaycount )
// 8: function frenchtojd(); // prototype:frenchtojd( int $month , int $day , int $year )
// 9: function jddayofweek(); // prototype:jddayofweek( int $julianday [, int $mode = CAL_DOW_DAYNO ] )
// 10: function jdmonthname(); // prototype:jdmonthname( int $julianday , int $mode )
// 11: function easter_date(); // prototype:easter_date([ int $year = date(&quot;Y&quot;) ] )
// 12: function easter_days(); // prototype:easter_days([ int $year = date(&quot;Y&quot;) [, int $method = CAL_EASTER_DEFAULT ]] )
// 13: function unixtojd(); // prototype:unixtojd([ int $timestamp = time() ] )
// 14: function jdtounix(); // prototype:jdtounix( int $jday )
// 15: function cal_to_jd(); // prototype:cal_to_jd( int $calendar , int $month , int $day , int $year )
// 16: function cal_from_jd(); // prototype:cal_from_jd( int $jd , int $calendar )
// 17: function cal_days_in_month(); // prototype:cal_days_in_month( int $calendar , int $month , int $year )
// 18: function cal_info(); // prototype:cal_info([ int $calendar = -1 ] )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension bcmath

/////////////////// ********** FUNCTIONS (10 total functions) ************ ///////////////////////////////

// 1: function bcadd(); // prototype:bcadd( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 2: function bcsub(); // prototype:bcsub( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 3: function bcmul(); // prototype:bcmul( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 4: function bcdiv(); // prototype:bcdiv( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 5: function bcmod(); // prototype:bcmod( string $left_operand , string $modulus )
// 6: function bcpow(); // prototype:bcpow( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 7: function bcsqrt(); // prototype:bcsqrt( string $operand [, int $scale = 0 ] )
// 8: function bcscale(); // prototype:bcscale( int $scale )
// 9: function bccomp(); // prototype:bccomp( string $left_operand , string $right_operand [, int $scale = 0 ] )
// 10: function bcpowmod(); // prototype:bcpowmod( string $left_operand , string $right_operand , string $modulus [, int $scale = 0 ] )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension shmop

/////////////////// ********** FUNCTIONS (6 total functions) ************ ///////////////////////////////

// 1: function shmop_open(); // prototype:shmop_open( int $key , string $flags , int $mode , int $size )
// 2: function shmop_read(); // prototype:shmop_read( resource $shmid , int $start , int $count )
// 3: function shmop_close(); // prototype:shmop_close( resource $shmid )
// 4: function shmop_size(); // prototype:shmop_size( resource $shmid )
// 5: function shmop_write(); // prototype:shmop_write( resource $shmid , string $data , int $offset )
// 6: function shmop_delete(); // prototype:shmop_delete( resource $shmid )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
<?php //Extension mime_magic

/////////////////// ********** FUNCTIONS (1 total functions) ************ ///////////////////////////////

// 1: function mime_content_type(); // prototype:mime_content_type ( string $filename )

/////////////////// ********** END_FUNCTIONS ************ ///////////////////////////////

?>
